# Gmagick::cropimage

(PECL gmagick >= Unknown)

Gmagick::cropimage — Extracts a region of the image

### Description

public Gmagick::cropimage ( int `$width` , int `$height` , int `$x` , int `$y` ) : Gmagick

Extracts a region of the image.

### Parameters

`width`

  The width of the crop

`height`

  The height of the crop

`x`

  The X coordinate of the cropped region's top left corner

`y`

  The Y coordinate of the cropped region's top left corner

### Return Values

The cropped Gmagick object

### Errors/Exceptions

Throws an GmagickException on error.